> ## Documentation Index
> Fetch the complete documentation index at: https://azure-foundry.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause a fine-tune job.



## OpenAPI

````yaml api-reference/openai-v1.yaml post /fine_tuning/jobs/{fine_tuning_job_id}/pause
openapi: 3.0.0
info:
  title: Azure AI Foundry Models Service
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
  version: v1
servers:
  - url: '{endpoint}/openai/v1'
    description: Azure AI Foundry Models APIs
    variables:
      endpoint:
        default: ''
        description: >-
          A supported Azure AI Foundry Models APIs endpoint, including protocol
          and hostname.

          For example:

          https://westus.api.cognitive.microsoft.com).
security:
  - ApiKeyAuth: []
  - ApiKeyAuth_: []
  - OAuth2Auth:
      - https://cognitiveservices.azure.com/.default
tags:
  - name: Chat
  - name: Embeddings
  - name: Evals
  - name: Files
  - name: Fine-tuning
  - name: Models
  - name: Responses
  - name: Vector Stores
paths:
  /fine_tuning/jobs/{fine_tuning_job_id}/pause:
    post:
      tags:
        - Fine-tuning
      summary: Pause a fine-tune job.
      operationId: pauseFineTuningJob
      parameters:
        - name: api-version
          in: query
          required: false
          description: >-
            The explicit Azure AI Foundry Models API version to use for this
            request.

            `v1` if not otherwise specified.
          schema:
            $ref: '#/components/schemas/AzureAIFoundryModelsApiVersion'
            default: v1
        - name: fine_tuning_job_id
          in: path
          required: true
          description: The ID of the fine-tuning job to pause.
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAI.FineTuningJob'
        default:
          description: An unexpected error response.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureErrorResponse'
components:
  schemas:
    AzureAIFoundryModelsApiVersion:
      type: string
      enum:
        - v1
        - preview
    OpenAI.FineTuningJob:
      type: object
      required:
        - id
        - created_at
        - error
        - fine_tuned_model
        - finished_at
        - hyperparameters
        - model
        - object
        - organization_id
        - result_files
        - status
        - trained_tokens
        - training_file
        - validation_file
        - seed
        - metadata
      properties:
        user_provided_suffix:
          type: string
          nullable: true
          description: >-
            The descriptive suffix applied to the job, as specified in the job
            creation request.
        id:
          type: string
          description: The object identifier, which can be referenced in the API endpoints.
        created_at:
          type: integer
          format: unixtime
          description: >-
            The Unix timestamp (in seconds) for when the fine-tuning job was
            created.
        error:
          type: object
          properties:
            code:
              type: string
              description: A machine-readable error code.
            message:
              type: string
              description: A human-readable error message.
            param:
              type: string
              nullable: true
              description: >-
                The parameter that was invalid, usually `training_file` or
                `validation_file`. This field will be null if the failure was
                not parameter-specific.
          required:
            - code
            - message
            - param
          nullable: true
          description: >-
            For fine-tuning jobs that have `failed`, this will contain more
            information on the cause of the failure.
        fine_tuned_model:
          type: string
          nullable: true
          description: >-
            The name of the fine-tuned model that is being created. The value
            will be null if the fine-tuning job is still running.
        finished_at:
          type: integer
          format: unixtime
          nullable: true
          description: >-
            The Unix timestamp (in seconds) for when the fine-tuning job was
            finished. The value will be null if the fine-tuning job is still
            running.
        hyperparameters:
          type: object
          properties:
            batch_size:
              anyOf:
                - type: string
                  enum:
                    - auto
                - type: integer
                  format: int32
              nullable: true
              description: >-
                Number of examples in each batch. A larger batch size means that
                model parameters

                are updated less frequently, but with lower variance.
              default: auto
            learning_rate_multiplier:
              anyOf:
                - type: string
                  enum:
                    - auto
                - type: number
                  format: float
              description: >-
                Scaling factor for the learning rate. A smaller learning rate
                may be useful to avoid

                overfitting.
              default: auto
            n_epochs:
              anyOf:
                - type: string
                  enum:
                    - auto
                - type: integer
                  format: int32
              description: >-
                The number of epochs to train the model for. An epoch refers to
                one full cycle

                through the training dataset.
              default: auto
          description: >-
            The hyperparameters used for the fine-tuning job. This value will
            only be returned when running `supervised` jobs.
        model:
          type: string
          description: The base model that is being fine-tuned.
        object:
          type: string
          enum:
            - fine_tuning.job
          description: The object type, which is always "fine_tuning.job".
        organization_id:
          type: string
          description: The organization that owns the fine-tuning job.
        result_files:
          type: array
          items:
            type: string
          description: >-
            The compiled results file ID(s) for the fine-tuning job. You can
            retrieve the results with the [Files
            API](/docs/api-reference/files/retrieve-contents).
        status:
          type: string
          enum:
            - validating_files
            - queued
            - running
            - succeeded
            - failed
            - cancelled
          description: >-
            The current status of the fine-tuning job, which can be either
            `validating_files`, `queued`, `running`, `succeeded`, `failed`, or
            `cancelled`.
        trained_tokens:
          type: integer
          format: int32
          nullable: true
          description: >-
            The total number of billable tokens processed by this fine-tuning
            job. The value will be null if the fine-tuning job is still running.
        training_file:
          type: string
          description: >-
            The file ID used for training. You can retrieve the training data
            with the [Files API](/docs/api-reference/files/retrieve-contents).
        validation_file:
          type: string
          nullable: true
          description: >-
            The file ID used for validation. You can retrieve the validation
            results with the [Files
            API](/docs/api-reference/files/retrieve-contents).
        integrations:
          type: array
          items:
            $ref: '#/components/schemas/OpenAI.FineTuningIntegration'
          nullable: true
          description: A list of integrations to enable for this fine-tuning job.
        seed:
          type: integer
          format: int32
          description: The seed used for the fine-tuning job.
        estimated_finish:
          type: integer
          format: unixtime
          nullable: true
          description: >-
            The Unix timestamp (in seconds) for when the fine-tuning job is
            estimated to finish. The value will be null if the fine-tuning job
            is not running.
        method:
          $ref: '#/components/schemas/OpenAI.FineTuneMethod'
        metadata:
          type: object
          additionalProperties:
            type: string
          nullable: true
          description: >-
            Set of 16 key-value pairs that can be attached to an object. This
            can be

            useful for storing additional information about the object in a
            structured

            format, and querying for objects via API or the dashboard.


            Keys are strings with a maximum length of 64 characters. Values are
            strings

            with a maximum length of 512 characters.
          x-oaiTypeLabel: map
      description: >-
        The `fine_tuning.job` object represents a fine-tuning job that has been
        created through the API.
    AzureErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: The distinct, machine-generated identifier for the error.
            message:
              type: string
              description: A human-readable message associated with the error.
            param:
              type: string
              description: >-
                If applicable, the request input parameter associated with the
                error
            type:
              type: string
              enum:
                - error
              description: The object type, always 'error.'
            inner_error: {}
          description: The error details.
    OpenAI.FineTuningIntegration:
      type: object
      required:
        - type
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - wandb
      discriminator:
        propertyName: type
        mapping:
          wandb: '#/components/schemas/OpenAI.FineTuningIntegrationWandb'
    OpenAI.FineTuneMethod:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - supervised
            - dpo
            - reinforcement
          description: >-
            The type of method. Is either `supervised`, `dpo`, or
            `reinforcement`.
        supervised:
          $ref: '#/components/schemas/OpenAI.FineTuneSupervisedMethod'
        dpo:
          $ref: '#/components/schemas/OpenAI.FineTuneDPOMethod'
        reinforcement:
          $ref: '#/components/schemas/AzureFineTuneReinforcementMethod'
      description: The method used for fine-tuning.
    OpenAI.FineTuneSupervisedMethod:
      type: object
      properties:
        hyperparameters:
          $ref: '#/components/schemas/OpenAI.FineTuneSupervisedHyperparameters'
      description: Configuration for the supervised fine-tuning method.
    OpenAI.FineTuneDPOMethod:
      type: object
      properties:
        hyperparameters:
          $ref: '#/components/schemas/OpenAI.FineTuneDPOHyperparameters'
      description: Configuration for the DPO fine-tuning method.
    AzureFineTuneReinforcementMethod:
      type: object
      required:
        - grader
      properties:
        grader:
          anyOf:
            - $ref: '#/components/schemas/OpenAI.GraderStringCheck'
            - $ref: '#/components/schemas/OpenAI.GraderTextSimilarity'
            - $ref: '#/components/schemas/OpenAI.GraderScoreModel'
            - $ref: '#/components/schemas/OpenAI.GraderMulti'
        response_format:
          allOf:
            - $ref: '#/components/schemas/ResponseFormatJSONSchemaRequest'
          description: Response format to be used while sampling during RFT training
        hyperparameters:
          $ref: '#/components/schemas/OpenAI.FineTuneReinforcementHyperparameters'
    OpenAI.FineTuneSupervisedHyperparameters:
      type: object
      properties:
        batch_size:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: >-
            Number of examples in each batch. A larger batch size means that
            model parameters are updated less frequently, but with lower
            variance.
          default: auto
        learning_rate_multiplier:
          anyOf:
            - type: string
              enum:
                - auto
            - type: number
              format: float
          description: >-
            Scaling factor for the learning rate. A smaller learning rate may be
            useful to avoid overfitting.
          default: auto
        n_epochs:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: >-
            The number of epochs to train the model for. An epoch refers to one
            full cycle through the training dataset.
          default: auto
      description: The hyperparameters used for the fine-tuning job.
    OpenAI.FineTuneDPOHyperparameters:
      type: object
      properties:
        beta:
          anyOf:
            - type: string
              enum:
                - auto
            - type: number
              format: float
          description: >-
            The beta value for the DPO method. A higher beta value will increase
            the weight of the penalty between the policy and reference model.
          default: auto
        batch_size:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: >-
            Number of examples in each batch. A larger batch size means that
            model parameters are updated less frequently, but with lower
            variance.
          default: auto
        learning_rate_multiplier:
          anyOf:
            - type: string
              enum:
                - auto
            - type: number
              format: float
          description: >-
            Scaling factor for the learning rate. A smaller learning rate may be
            useful to avoid overfitting.
          default: auto
        n_epochs:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: >-
            The number of epochs to train the model for. An epoch refers to one
            full cycle through the training dataset.
          default: auto
      description: The hyperparameters used for the DPO fine-tuning job.
    OpenAI.GraderStringCheck:
      type: object
      required:
        - type
        - name
        - input
        - reference
        - operation
      properties:
        type:
          type: string
          enum:
            - string_check
          description: The object type, which is always `string_check`.
        name:
          type: string
          description: The name of the grader.
        input:
          type: string
          description: The input text. This may include template strings.
        reference:
          type: string
          description: The reference text. This may include template strings.
        operation:
          type: string
          enum:
            - eq
            - ne
            - like
            - ilike
          description: >-
            The string check operation to perform. One of `eq`, `ne`, `like`, or
            `ilike`.
      allOf:
        - $ref: '#/components/schemas/OpenAI.Grader'
      description: >-
        A StringCheckGrader object that performs a string comparison between
        input and reference using a specified operation.
    OpenAI.GraderTextSimilarity:
      type: object
      required:
        - type
        - name
        - input
        - reference
        - evaluation_metric
      properties:
        type:
          type: string
          enum:
            - text_similarity
          description: The type of grader.
        name:
          type: string
          description: The name of the grader.
        input:
          type: string
          description: The text being graded.
        reference:
          type: string
          description: The text being graded against.
        evaluation_metric:
          type: string
          enum:
            - fuzzy_match
            - bleu
            - gleu
            - meteor
            - rouge_1
            - rouge_2
            - rouge_3
            - rouge_4
            - rouge_5
            - rouge_l
          description: >-
            The evaluation metric to use. One of `fuzzy_match`, `bleu`, `gleu`,
            `meteor`, `rouge_1`, `rouge_2`, `rouge_3`, `rouge_4`, `rouge_5`, or
            `rouge_l`.
      allOf:
        - $ref: '#/components/schemas/OpenAI.Grader'
      description: >-
        A TextSimilarityGrader object which grades text based on similarity
        metrics.
    OpenAI.GraderScoreModel:
      type: object
      required:
        - type
        - name
        - model
        - input
      properties:
        type:
          type: string
          enum:
            - score_model
          description: The object type, which is always `score_model`.
        name:
          type: string
          description: The name of the grader.
        model:
          type: string
          description: The model to use for the evaluation.
        sampling_params:
          description: The sampling parameters for the model.
        input:
          type: array
          items:
            $ref: '#/components/schemas/OpenAI.EvalItem'
          description: The input text. This may include template strings.
        range:
          type: array
          items:
            type: number
            format: float
          description: The range of the score. Defaults to `[0, 1]`.
      allOf:
        - $ref: '#/components/schemas/OpenAI.Grader'
      description: >-
        A ScoreModelGrader object that uses a model to assign a score to the
        input.
    OpenAI.GraderMulti:
      type: object
      required:
        - type
        - name
        - graders
        - calculate_output
      properties:
        type:
          type: string
          enum:
            - multi
          description: The object type, which is always `multi`.
        name:
          type: string
          description: The name of the grader.
        graders:
          type: object
          additionalProperties:
            anyOf:
              - $ref: '#/components/schemas/OpenAI.GraderStringCheck'
              - $ref: '#/components/schemas/OpenAI.GraderTextSimilarity'
              - $ref: '#/components/schemas/OpenAI.GraderScoreModel'
        calculate_output:
          type: string
          description: A formula to calculate the output based on grader results.
      allOf:
        - $ref: '#/components/schemas/OpenAI.Grader'
      description: >-
        A MultiGrader object combines the output of multiple graders to produce
        a single score.
    ResponseFormatJSONSchemaRequest:
      type: object
      required:
        - type
        - json_schema
      properties:
        type:
          type: string
          enum:
            - json_schema
          description: Type of response format
        json_schema:
          type: object
          additionalProperties: {}
          description: JSON Schema for the response format
    OpenAI.FineTuneReinforcementHyperparameters:
      type: object
      properties:
        batch_size:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: >-
            Number of examples in each batch. A larger batch size means that
            model parameters are updated less frequently, but with lower
            variance.
          default: auto
        learning_rate_multiplier:
          anyOf:
            - type: string
              enum:
                - auto
            - type: number
              format: float
          description: >-
            Scaling factor for the learning rate. A smaller learning rate may be
            useful to avoid overfitting.
          default: auto
        n_epochs:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: >-
            The number of epochs to train the model for. An epoch refers to one
            full cycle through the training dataset.
          default: auto
        reasoning_effort:
          type: string
          enum:
            - default
            - low
            - medium
            - high
          description: Level of reasoning effort.
          default: default
        compute_multiplier:
          anyOf:
            - type: string
              enum:
                - auto
            - type: number
              format: float
          description: >-
            Multiplier on amount of compute used for exploring search space
            during training.
          default: auto
        eval_interval:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: The number of training steps between evaluation runs.
          default: auto
        eval_samples:
          anyOf:
            - type: string
              enum:
                - auto
            - type: integer
              format: int32
          description: Number of evaluation samples to generate per training step.
          default: auto
      description: The hyperparameters used for the reinforcement fine-tuning job.
    OpenAI.Grader:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/OpenAI.GraderType'
      discriminator:
        propertyName: type
        mapping:
          label_model: '#/components/schemas/OpenAI.GraderLabelModel'
          text_similarity: '#/components/schemas/OpenAI.GraderTextSimilarity'
          python: '#/components/schemas/OpenAI.GraderPython'
          score_model: '#/components/schemas/OpenAI.GraderScoreModel'
          multi: '#/components/schemas/OpenAI.GraderMulti'
    OpenAI.EvalItem:
      type: object
      required:
        - role
        - content
      properties:
        role:
          type: string
          enum:
            - user
            - assistant
            - system
            - developer
          description: >-
            The role of the message input. One of `user`, `assistant`, `system`,
            or

            `developer`.
        content:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/OpenAI.EvalItemContent'
          description: Text inputs to the model - can contain template strings.
        type:
          type: string
          enum:
            - message
          description: The type of the message input. Always `message`.
      description: >-
        A message input to the model with a role indicating instruction
        following

        hierarchy. Instructions given with the `developer` or `system` role take

        precedence over instructions given with the `user` role. Messages with
        the

        `assistant` role are presumed to have been generated by the model in
        previous

        interactions.
    OpenAI.GraderType:
      type: string
      enum:
        - string_check
        - text_similarity
        - score_model
        - label_model
        - python
        - multi
    OpenAI.EvalItemContent:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/OpenAI.EvalItemContentType'
      discriminator:
        propertyName: type
        mapping:
          input_text: '#/components/schemas/OpenAI.EvalItemContentInputText'
          output_text: '#/components/schemas/OpenAI.EvalItemContentOutputText'
    OpenAI.EvalItemContentType:
      type: string
      enum:
        - input_text
        - output_text
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
    ApiKeyAuth_:
      type: apiKey
      in: header
      name: authorization
    OAuth2Auth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://login.microsoftonline.com/common/oauth2/v2.0/authorize
          scopes:
            https://cognitiveservices.azure.com/.default: ''

````